Using the µVision Socket Interface: STACKENUM Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
STACKENUM Struct Reference
Structs

## Data Fields
UINT | nItem
| Stack frame number 1...n (if iSTKENUM::bExtended is specified, the stacks are reported from bottom to top) More...
xU64 | nAdr
| Current address (callee address) More...
xU64 | nRetAdr
| Return address (caller address) More...
UINT | nVars
| Number of stack variables. More...
UINT | nEqual
| Number of frames not mofified, important when only mofified stack frames are enumerated. More...
UINT | nTotal
| Total number of stack frames, important when only mofified stack frames are enumerated. More...
UINT | nTask
| Task ID this frame belongs to: reserved for RTX case, otherwise 0. More...
UINT | nRes [3]
| Reserved. More...

## Description

Stack enumeration return data

Contains a stack enumeration item.

This structure is used in the following messages:

Client <== uVision (Async)

- UV_DBG_ENUM_STACK_ENU (uVision writes nItem to the stack frame number, nAdr to the callee address, nRetAdr to the caller address. The UV_DBG_ADR_TOFILELINE command can be used to convert the addresses to file, function and line numbers)

## Field Documentation

xU64 STACKENUM::nAdr

Current address (callee address)

UINT STACKENUM::nEqual

Number of frames not mofified, important when only mofified stack frames are enumerated.

UINT STACKENUM::nItem

Stack frame number 1...n (if iSTKENUM::bExtended is specified, the stacks are reported from bottom to top)

UINT STACKENUM::nRes[3]

Reserved.

xU64 STACKENUM::nRetAdr

Return address (caller address)

UINT STACKENUM::nTask

Task ID this frame belongs to: reserved for RTX case, otherwise 0.

UINT STACKENUM::nTotal

Total number of stack frames, important when only mofified stack frames are enumerated.

UINT STACKENUM::nVars

Number of stack variables.